Get all task statuses in a firm Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/task-status

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name, position]. Negative sign to denote DESC. Defaults to '-created_at'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • name string

        The name of the status

      • colour string

        Status colour

      • position integer

        The position of the status

      • is_type_completed boolean

        Whether the status is a completed status

      • is_archived boolean

        Whether the status is a archived status

      • is_not_started boolean

        Whether the status is a not started status

GET /api/v1/task-status
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/task-status' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "5b63a51a-05a5-4c29-a132-775b74bb99fe",
      "created_at": "2026-06-09T14:10:13+01:00",
      "updated_at": "2026-06-09T14:10:13+01:00",
      "name": "Incomplete",
      "colour": "#398898",
      "position": 1,
      "is_type_completed": false,
      "is_archived": false,
      "is_not_started": false
    }
  ]
}